# Uses of Interface
org.picocontainer.Behavior

Packages that use Behavior
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.behaviors
BehaviorFactories make Behaviors which change aspects of component implementations and instances
org.picocontainer.monitors
A Monitor is something PicoContainer uses to inform on events in component instantiation and lifecycle.

## Uses of Behavior in org.picocontainer

Methods in org.picocontainer that return Behavior
Modifier and Type
Method
Description
`Behavior`
ComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
Methods in org.picocontainer with parameters of type Behavior
Modifier and Type
Method
Description
`Behavior`
ComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.

## Uses of Behavior in org.picocontainer.behaviors

Classes in org.picocontainer.behaviors that implement Behavior
Modifier and Type
Class
Description
`class`
`AbstractBehavior<T>`
Component adapter which decorates another adapter.
`class`
`Automated<T>`
`class`
`Cached<T>`
`ComponentAdapter` implementation that caches the component instance.
`class`
`Decorated<T>`
`class`
`FieldDecorated`
`class`
`Guarded<T>`
behaviour for allows components to be guarded by another component
`class`
`HiddenImplementation<T>`
This component adapter makes it possible to hide the implementation of a real subject (behind a proxy) provided the key is an interface.
`class`
`Intercepted<T>`
`class`
`Locked<T>`
`class`
`PropertyApplicator<T>`
Decorating component adapter that can be used to set additional properties on a component in a bean style.
`class`
`Stored<T>`
`class`
`Synchronized<T>`
Component Adapter that uses java synchronized around getComponentInstance().
`final class`
`ThreadCached<T>`
This behavior supports caches values per thread.
Methods in org.picocontainer.behaviors that return Behavior
Modifier and Type
Method
Description
`static final Behavior`
Behavior.`cached(ComponentAdapter delegate)`
`static final Behavior`
Behavior.`cached(ComponentAdapter delegate, ObjectReference instanceReference)`
`static final Behavior`
Behavior.`decorated(ComponentAdapter delegate, org.picocontainer.behaviors.Decorated.Decorator decorator)`

## Uses of Behavior in org.picocontainer.monitors

Methods in org.picocontainer.monitors that return Behavior
Modifier and Type
Method
Description
`Behavior`
AbstractComponentMonitor.`newBehavior(Behavior behavior)`
`Behavior`
ConsoleComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Behavior`
LifecycleComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Behavior`
NullComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Behavior`
WriterComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
Methods in org.picocontainer.monitors with parameters of type Behavior
Modifier and Type
Method
Description
`Behavior`
AbstractComponentMonitor.`newBehavior(Behavior behavior)`
`Behavior`
ConsoleComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Behavior`
LifecycleComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Behavior`
NullComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Behavior`
WriterComponentMonitor.`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.